#!/bin/sh
#
# tru64Uv40f_insight_upd06991 installation script.
#
TARFILE=im_upd06991.tar
OS_REV="V4.0F"
EXT="orig"

orig () {
   for f in $*; do
      if [ -e $f ]; then
        if [ ! -f $f.$EXT ]
	then
          /usr/bin/cp -p $f $f.$EXT || err_exit "Can't copy $f to $f.$EXT."
	else
	  /usr/bin/cp -p $f $f.prev || err_exit "Can't copy $f to $f.prev."
       fi
      fi
   done
}

update () {
updfile=`/usr/bin/basename $1`
if [ -e $1 ];
then
	orig $1
	/usr/bin/cp -p ./$updfile $1
	/usr/bin/chown $2 $1
	/usr/bin/chmod -f $3 $1
fi
}

err_exit () {
   echo "Error:  $1"
   echo "tru64Uv40f_insight_upd06991 not installed."
   exit 1
}

if /usr/sbin/sizer -v | grep -q $OS_REV 
then
	echo "Installing tru64Uv40f_insight_upd06991 for Tru64 UNIX $OS_REV"
        echo ""
else
	echo "The Tru64 UNIX revision doesn't match the update revision"
	echo "tru64Uv40f_insight_upd06991 is only for Tru64 UNIX $OS_REV"
        echo ""
	exit 1
fi

Uid=`id | /usr/bin/sed 's/uid=\([0-9][0-9]*\).*/\1/'`
if [ 0$Uid -ne 0 ]; then err_exit "The install_update.sh script must be run as root."; fi

if [ ! -e ./insightd ]
then
	echo "Error:  Can't find update version of insightd"
	echo "Please run install_update.sh from the patch directory."
   	echo "tru64Uv40f_insight_upd06991 not installed."
	exit 1
fi

if [ ! -e /usr/share/sysman/bin/insightd ]
then
	echo "Error:  Can't find /usr/share/sysman/bin/insightd"
   	echo "tru64Uv40f_insight_upd06991 not installed."
	exit 1
fi

if /usr/bin/cmp -s ./insightd /usr/share/sysman/bin/insightd;
then
	echo "tru64Uv40f_insight_upd06991 for Tru64 UNIX $OS_REV has already been applied."
	exit
fi

/sbin/init.d/insightd stop
/sbin/sleep 1

update /usr/share/sysman/bin/insightd bin.bin 755

/sbin/init.d/insightd start

echo ""
echo "tru64Uv40f_insight_upd06991 for Tru64 UNIX $OS_REV has been applied."
echo ""
